Finds potential duplicate companies by name, domain, or country. Useful for de-duplication before creating a new company.

Body·
required

Search criteria for duplicate detection

Request to find potential duplicate companies by name, domain, or country.

  • name
    Type: string
    required

    Company name to search for duplicates (required).

  • countryCode
    Type: null | string

    ISO 3166-1 alpha-2 country code to prioritize same-country matches.

  • domain
    Type: null | string

    Company domain to match against (e.g., "acme.com").

  • linkedInUrl
    Type: null | string

    LinkedIn company URL to match against (e.g., "https://linkedin.com/company/acme-corp").

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for post/api/v1/companies/find-duplicates
curl https://app.propstreet.com/api/v1/companies/find-duplicates \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "domain": null,
  "countryCode": null,
  "linkedInUrl": null
}'
[
  {
    "id": "string",
    "name": "string",
    "domain": null,
    "countryCode": null,
    "score": "string",
    "method": "string"
  }
]